/// <reference types="react" />
import { History } from 'history';
import * as PropTypes from 'prop-types';
import * as React from 'react';
import { RouteConfig } from 'react-router-config';
export interface StaticRouterProps {
    children?: React.ReactNode;
    history: History;
    context: any;
    routes?: RouteConfig[];
}
export interface StaticRouterChildContext {
    router: {
        staticContext: any;
    };
}
export declare class StaticRouter extends React.Component<StaticRouterProps> {
    static childContextTypes: {
        router: PropTypes.Validator<any>;
    };
    getChildContext(): StaticRouterChildContext;
    render(): React.ReactNode;
}
