"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var PropTypes = require("prop-types");
var React = require("react");
var connectedRouter_1 = require("./connectedRouter");
var StaticRouter = /** @class */ (function (_super) {
    __extends(StaticRouter, _super);
    function StaticRouter() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    StaticRouter.prototype.getChildContext = function () {
        return {
            router: {
                staticContext: this.props.context,
            },
        };
    };
    StaticRouter.prototype.render = function () {
        var _a = this.props, children = _a.children, history = _a.history, routes = _a.routes;
        return (React.createElement(connectedRouter_1.ConnectedRouter, { history: history, routes: routes, static: true }, children));
    };
    StaticRouter.childContextTypes = {
        router: PropTypes.object.isRequired,
    };
    return StaticRouter;
}(React.Component));
exports.StaticRouter = StaticRouter;
