"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LOCATION_CHANGE = '@@router/LOCATION_CHANGE';
exports.CALL_HISTORY_METHOD = '@@router/CALL_HISTORY_METHOD';
function locationChange(location, match) {
    return {
        type: exports.LOCATION_CHANGE,
        payload: { location: location, match: match },
    };
}
exports.locationChange = locationChange;
function updateLocation(method) {
    // tslint:disable-next-line no-any
    return function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return ({
            type: exports.CALL_HISTORY_METHOD,
            payload: { method: method, args: args },
        });
    };
}
exports.push = updateLocation('push');
exports.replace = updateLocation('replace');
exports.go = updateLocation('go');
exports.goBack = updateLocation('goBack');
exports.goForward = updateLocation('goForward');
exports.routerActions = { push: exports.push, replace: exports.replace, go: exports.go, goBack: exports.goBack, goForward: exports.goForward };
